Last Comment Bug 658637 - Traverse/unlink IDBRequest::mTransaction
: Traverse/unlink IDBRequest::mTransaction
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Peter Van der Beken [:peterv] - away till Aug 1st
:
Mentors:
Depends on:
Blocks: 607729 637099
  Show dependency treegraph
 
Reported: 2011-05-20 13:03 PDT by Peter Van der Beken [:peterv] - away till Aug 1st
Modified: 2011-09-15 23:45 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (1.73 KB, patch)
2011-05-20 13:03 PDT, Peter Van der Beken [:peterv] - away till Aug 1st
jonas: review+
Details | Diff | Splinter Review

Description Peter Van der Beken [:peterv] - away till Aug 1st 2011-05-20 13:03:58 PDT
Created attachment 534078 [details] [diff] [review]
v1
Comment 1 Jonas Sicking (:sicking) PTO Until July 5th 2011-05-20 13:23:24 PDT
Comment on attachment 534078 [details] [diff] [review]
v1

Ben, the various database helpers keep the request alive as long as it's pending, right?
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-05-20 22:49:08 PDT
Yep, should be fine.

Don't know how I missed this one... :-/
Comment 3 Peter Van der Beken [:peterv] - away till Aug 1st 2011-06-09 07:59:53 PDT
http://hg.mozilla.org/mozilla-central/rev/acd3f233289b
Comment 4 Ioana (away) 2011-09-15 23:45:56 PDT
I am not sure how this fix can be verified. Can you please give me some guidelines on what this fix affects/how it could be verified?

Note You need to log in before you can comment on or make changes to this bug.